cmake_minimum_required(VERSION 3.10.2)
project(main C)

set(CMAKE_C_STANDARD 99)

add_subdirectory(library-glibext/src/main/cpp)
add_subdirectory(library-soupext/src/main/cpp)
add_subdirectory(library-gnutlsext/src/main/cpp)
add_subdirectory(library-glibnetworkingext/src/main/cpp)
add_subdirectory(library-jsonext/src/main/cpp)
add_subdirectory(library-xmlext/src/main/cpp)
add_subdirectory(library-archiveext/src/main/cpp)
add_subdirectory(library-avahiext/src/main/cpp)
add_subdirectory(library-sqliteext/src/main/cpp)
add_subdirectory(library-pjsipext/src/main/cpp)
add_subdirectory(library-ptyext/src/main/cpp)
add_subdirectory(library-usbext/src/main/cpp)
add_subdirectory(library-firebaseext/src/main/cpp)
add_subdirectory(library-curlext/src/main/cpp)
add_subdirectory(library-apnext/src/main/cpp)
add_subdirectory(library-jwt2ext/src/main/cpp)
add_subdirectory(library-gssdpext/src/main/cpp)
add_subdirectory(library-gupnpext/src/main/cpp)
add_subdirectory(library-gupnpigdext/src/main/cpp)
add_subdirectory(library-niceext/src/main/cpp)
add_subdirectory(library-asteriskext/src/main/cpp)
add_subdirectory(library-ffmpegext/src/main/cpp)
add_subdirectory(library-fdroidext/src/main/cpp)
add_subdirectory(library-avrdudeext/src/main/cpp)
add_subdirectory(library-voskext/src/main/cpp)
add_subdirectory(library-gsmds/src/main/cpp)
add_subdirectory(library-gsnonstb/src/main/cpp)
add_subdirectory(library-gscinemaadapter/src/main/cpp)
add_subdirectory(library-hikvisionext/src/main/cpp)
add_subdirectory(library-gsstingray/src/main/cpp)
add_subdirectory(library-gsscreen2/src/main/cpp)
add_subdirectory(library-deintercom/src/main/cpp)
